> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update subscribers

> Update the subscription status for a specific asset.



## OpenAPI

````yaml put /workspaces/assets/{asset_id}/subscriptions
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/subscriptions:
    put:
      tags:
        - Asset Subscription
      description: Update the subscription status for a specific asset.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          required: true
          schema:
            type: string
          description: The ID of the asset
        - in: query
          name: subscribed
          required: true
          schema:
            type: boolean
          description: Subscription status
      responses:
        '200':
          description: Updated subscription status
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetSubscription'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AssetSubscription:
      type: object
      required:
        - asset_id
        - user_id
        - subscribed
      properties:
        asset_id:
          type: string
          description: The unique identifier of the asset.
        user_id:
          type: string
          description: The unique identifier of the user.
        subscribed:
          type: boolean
          description: Indicates whether the user is subscribed to the asset.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````